Subject: Radiosity for Rendering?

From: Sandy Walsh <[email-masked]>
Date: Mon, 6 Dec 1993 09:13:20 -0330

Has anyone thought of using the radiosity method for handling the
rendering problem? From what I understand about this area (little), it's
supposed to offer *very* fast results for initial rendering, and higher
and higher quality on subsequent displays of similiar scenes. It also
requires polygonized scenes which is perfect for REND. I believe it also
eliminates the hidden surface problems without requiring splits.

Anyone?
---
Sandy Walsh, B.Sc. - Software Engineer - CORETEC Incorporated

I've been carving you, to see what form you'd take. 
You were hiding in ivory, I just wanted to free your shape ...
	- The Tragically Hip 	([email-masked])

---

From: [email-masked]
Date: Wed, 8 Dec 93 9:40:15 EST

> supposed to offer *very* fast results for initial rendering

True, but it has some restrictions:

      - only works well for static scenes; doesn't deal well with motion

      - requires Gouraud shading (which rend386 doesn't do)

> I believe it also eliminates the hidden surface problems without
> requiring splits.

Not as far as I know.  Radiosity is basically a pre-computation of light
intensities on rectangular "patches" (saves the time of doing your lighting
calculations at run-time).  I don't think it has anything to do with hidden
surface removal.

-- 
	Bernie Roehl
        University of Waterloo Dept of Electrical and Computer Engineering
	Mail: [email-masked]
	Voice:  (519) 885-1211 x 2607 [work]

---

From: [email-masked] (Christopher Phillips)
Date: Wed, 8 Dec 1993 22:56:58 +0800 (WST)

> eliminates the hidden surface problems without requiring splits.

Umm.. no. :(

Radiosity is a way of calculating the colours and shading required
for each of the polygons (which should preferably be gourand shaded).
It is entirely separate from the process of then dispaying the
polygons on the screen, and in fact requires you to render the
scene (at a low resolution) as seen from every single polygon
as part of the rendering process.  If your scene is static, then
you can just do the radiosity calculation once and then move
around the scene, in which case it is much faster
than raytracing, and makes more realistic shading.  However,
the initial calculation is actually very slow  (worse than a ray-trace!)
I did my honours project on examining one way of making the
calculations faster, but it is still awfull...

You can just do an aproximate lighting calculation that is then
refined over the timesteps of the animation, but this is still
fairly slow and also means that your lighting lags a little behind
the object movements...

Christopher.